Subject: Re: [bug#68289] [PATCH] services: xorg: Add xorg-start-command-xinit procedure.

From: Ludovic Courtès <[email-masked]>
Date: Thu, 02 May 2024 11:55:28 +0200

Hi!

Tomas Volf <[email-masked]> skribis:

> On 2024-04-24 12:59:55 +0100, Fabio Natali wrote:
>> On 2024-04-19, 13:25 +0100, Fabio Natali <[email-masked]> wrote:
>> > On 2024-04-18, 23:09 +0200, Tomas Volf <[email-masked]> wrote:
>> >> first, let me thank you for the review, and apologize for somewhat
>> >> late response, sadly I have been busy.
>>
>> Hi Tomas,
>>
>> Sorry for the slow follow-up. After some further testing and some input
>> from other Guix friends, this is my humble feedback on what I'd put in a
>> v2 patch.
>>
>> - Use Guix's 'invoke' instead of a custom 'checked-system*' procedure.
>>
>> - Where possible, use '#$(file-append foobar "/bin/foo")' instead of
>>   '(string-append #$foobar "/bin/foo")', so that as much computation as
>>   possible happens at build time as opposed to run time. It's a
>>   microscopic difference, but still worth the change I think.
>>
>> What do you think? Not urgent, but do you think this is something you
>> might be interested to include in a v2? No problem if you're busy, but
>> let me know if there's anything I can help with.
>
> All sounds reasonable, will send v2, cannot guarantee when, hopefully this week.

I hadn’t seen this patch; having a ‘startx’ command is something that
has often been asked, so I’m glad you’re fixing it!

The patch and the suggestions Fabio made look great to me.  Perhaps a
useful addition would be to add a service so one can write nothing more
than:

  (service startx-command-service-type)

to get a ‘startx’ command?  (Not a blocker though.)

Ludo’.